'define notify 'enable or disable this line

macro mtest 'simple macro test
  framework maxgui.drivers
endmacro
macro mustbehere
'  import "_build\test.o"
'  incbin "_build\test.ver"
  importbuild
endmacro

superstrict
mtest
import brl.eventqueue
import brl.retro
'import brl.glgraphics
'import brl.max2d
'import brl.glmax2d
'import brl.d3d7max2d
mustbehere
include "inc\inc.bmx"

ifdef notify
  notify showversion()
  end
elsedef
  print showversion()
enddef

function showversion$()
  local n$="   Program Info   ~n~n"
  local f:tstream=readfile("incbin::%buildincbin%")
  while not eof(f)
    local t$=readcomment(f)
    if t then
      local i%=instr(t,"=")
      if i then
        local name$=delast(t[..i-1],asc" ")
        if name then n:+"   "+name +": " +delead(t[i..]) +"~n"
      endif
    endif
  wend
  closefile f
  return n
'  notify n
endfunction
function getversionval$(name$)
  local f:tstream=readfile("incbin::%buildincbin%")
  while not eof(f)
    local t$=readcomment(f)
    if t then
      local i%=instr(t,"=")
      if i then
        local n$=lower(delast(t[..i-1],asc" "))
        if n=name then
          closefile f
          return delead(t[i..])
        endif
      endif
    endif
  wend
  closefile f
endfunction
function readcomment$(f:tstream,linecom%=asc";")
  local t$
  repeat
    if eof(f) then return ""
    t=readline(f)
  until (t<>"") and (delead(t)[0]<>linecom)
  return t
endfunction
function delead$(src$,ch%=asc" ")
  local a%,sl%=src.length
  while (a<sl) and (src[a]=ch)
    a:+1
  wend
  return src[a..]
endfunction
function delast$(src$,ch%=asc"\")
  local sl%=src.length-1
  while (sl>=0) and (src[sl]=ch)
    sl:-1
  wend
  return src[..sl+1]
endfunction

'------------------------------------------

global win:tgadget=createwindow("New "+getversionval("version")+" build "+getversionval("build"),0,0,400,200,,15-window_menu-window_status)
global lab:tgadget=createlabel(showversion(),0,0,400,200,win)

sethotkeyevent key_x     ,modifier_alt,createevent(event_windowclose,win)
sethotkeyevent key_escape,0           ,createevent(event_windowclose,win)

'------------------------------------------

repeat
  waitevent

  if currentevent.id=event_windowclose then exit
forever
